/************************************************************************/
/* CaveUTGL                                                             */
/* Willem de Jonge (willem@argcargv.com)                                */
/* 2003                                                                 */
/************************************************************************/

GLAPI HDC GLAPIENTRY wglGetCurrentDC( void );
GLAPI HGLRC GLAPIENTRY wglCreateContext( HDC hdc );
GLAPI HGLRC GLAPIENTRY wglCreateLayerContext( HDC hdc ,int iLayerPlane );
GLAPI HGLRC GLAPIENTRY wglGetCurrentContext( void );
GLAPI PROC GLAPIENTRY wglGetProcAddress( const char *lpszProc);
GLAPI int GLAPIENTRY ChoosePixelFormat( HDC hdc, const PIXELFORMATDESCRIPTOR *pfd );
GLAPI int GLAPIENTRY DescribePixelFormat( HDC hdc, int iPixelFormat, unsigned int nBytes, LPPIXELFORMATDESCRIPTOR pfd );
GLAPI int GLAPIENTRY GetPixelFormat( HDC hdc );
GLAPI int GLAPIENTRY SetPixelFormat( HDC hdc, int iPixelFormat, const PIXELFORMATDESCRIPTOR *pfd );
GLAPI int GLAPIENTRY SwapBuffers( HDC hdc );
GLAPI int GLAPIENTRY wglChoosePixelFormat( HDC hdc, const PIXELFORMATDESCRIPTOR *pfd );
GLAPI int GLAPIENTRY wglCopyContext( HGLRC hgl1, HGLRC hgl2, unsigned int mask );
GLAPI int GLAPIENTRY wglDeleteContext( HGLRC hgl );
GLAPI int GLAPIENTRY wglDescribeLayerPlane( HDC hdc, int iPixelFormat, int iLayerPlane, unsigned int nBytes, LPLAYERPLANEDESCRIPTOR lpd );
GLAPI int GLAPIENTRY wglDescribePixelFormat( HDC hdc, int iPixelFormat, unsigned int nBytes, LPPIXELFORMATDESCRIPTOR pfd );
GLAPI int GLAPIENTRY wglGetLayerPaletteEntries( HDC hdc, int iLayerPlane, int iStart, int cEntries, COLORREF *crf );
GLAPI int GLAPIENTRY wglGetPixelFormat( HDC hdc );
GLAPI int GLAPIENTRY wglMakeCurrent( HDC hdc, HGLRC hgl );
GLAPI int GLAPIENTRY wglRealizeLayerPalette( HDC hdc, int iLayerPlane, int bRealize );
GLAPI int GLAPIENTRY wglSetLayerPaletteEntries( HDC hdc, int iLayerPlane, int iStart, int cEntries, const COLORREF *crf );
GLAPI int GLAPIENTRY wglSetPixelFormat( HDC hdc, int iPixelFormat, const PIXELFORMATDESCRIPTOR *pfd );
GLAPI int GLAPIENTRY wglShareLists( HGLRC hgl1, HGLRC hgl2 );
GLAPI int GLAPIENTRY wglSwapBuffers( HDC hdc );
GLAPI int GLAPIENTRY wglSwapLayerBuffers( HDC hdc, unsigned int fuPlanes );
GLAPI int GLAPIENTRY wglUseFontBitmapsA( HDC hdc, unsigned long first, unsigned long count, unsigned long listBase );
GLAPI int GLAPIENTRY wglUseFontBitmapsW( HDC hdc, unsigned long first, unsigned long count, unsigned long listBase );
GLAPI int GLAPIENTRY wglUseFontOutlinesA( HDC hdc, unsigned long first, unsigned long count, unsigned long listBase, float deviation, float extrusion, int format, LPGLYPHMETRICSFLOAT gmf );
GLAPI int GLAPIENTRY wglUseFontOutlinesW( HDC hdc, unsigned long first, unsigned long count, unsigned long listBase, float deviation, float extrusion, int format, LPGLYPHMETRICSFLOAT gmf );
